WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

CopySafe PDF Protection

Display copy protected PDF documents in WordPress pages and posts.

1.9

  • Tested for WordPress 4.7.
  • Revised upload function to suit changes in WP 4.7.

1.8

  • Tested for WordPress 4.6.
  • Updated download and support links.

1.7

  • Uses WP upload functions instead of Uploadify.

1.6

  • Tested for WordPress 4.3.

1.5

  • Detection update for Windows 10.

1.4

  • Added compatibilty for ASPS web browser.
  • Added ASPS as a browser requirement in settings.
  • Updated download pages to cater for lack of IE and Chrome plugin support.

1.3

  • Tested for compatibility with WP 4.2.

1.2

  • Tested for compatibility with WP 4.1.

1.1

  • Bugfix for user session checking

1.0

  • Tested and verified on WordPress version 4.0

0.9

  • Tested and verified on WordPress version 3.9.2
  • Added alternative user check in case session logging not supported by webhost.
  • Added settings option to allow uploads by admin only.
  • Upload will progress only on same host IP.
  • Referrer user agent must be Shockwave Flash
  • Referrer url must match with the same script name.
  • Save settings page options altered for show in smaller screens.
  • No need to click "Insert File to editor" button after Save button clicked.

0.8

  • Modified logged-in user requirement for upload function.

0.7

  • Fixed security flaw in upload function.
  • Tested and aproved for WordPress 3.9.

0.6

  • Changed the download link to point to an ArtistScope server.

0.5

  • Added new languages for a new total of 27 langauages.

0.4

  • Fixed IE-11 detection bug.

0.3

  • Supported in WordPress version 3.7
  • Support for Windows 8.1

0.2

  • Added allowance for Firefox 20 and later

0.1

  • First release.

Requires: 4.0 or higher
Compatible up to: 4.7.2
Last Updated: 1 month ago
Active Installs: 500+

Ratings

3.6 out of 5 stars

Support

1 of 1 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,2,0
100,1,1